<?php
// Офф.сайт WAP-MAS.RU
// http://wap-mas.ru/us1
// Только эксклюзивные скрипты!
// За доработкой скрипта и улучшение функционала в WathsApp +77767141456
include $_SERVER['DOCUMENT_ROOT'] . '/system/sys.php';
include $_SERVER['DOCUMENT_ROOT'] . '/system/funcs.php';

 if ( $us[ 'id' ] == false ) {
     header( 'location: /log.in.php' );
     exit;
 }

 switch ( $_GET[ 'i' ] ) {
     default:
         H( 'Достижение мастеров', 'Достижение мастеров' );
         echo '<div class="lst"><a href="?i=themes" >&#187;Топ активистов форума (по темам)</a></div>';
echo '<div class="lst"><a href="?i=posts" >&#187; Топ активистов форума (по постам)</a></div>';
echo '<div class="lst"><a href="?i=arb" >&#187; Топ активистов (по отзывам)</a></div>';
echo '<div class="lst"><a href="?i=files">&#187;Топ активистов (по файлам)</a></div>';
echo '<div class="lst"><a href="?i=codes" >&#187; Топ активистов (по кодам) </a></div>';
echo '<div class="lst"><a href="?i=nars">&#187; Топ по нарушениям на сайте</a></div>';
         break;

     case 'posts':
         H( 'Топ активистов форума (по постам)', 'Топ активистов форума (по постам)' );
         $array = DB::$dbs->query( "SELECT DISTINCT `us`, COUNT(`us`) AS PostCount FROM `forum_p` GROUP BY `us` ORDER BY PostCount DESC LIMIT 10" );
         if ( $array->rowCount() == 0 ) {
             echo '<div class="lst">Пусто...</div>';
         }
         while ( $arr = $array->fetch() ) {
             echo '<div class="list1"> ' . uNick( $arr[ 'us' ] ) . ' (постов: ' . DB::$dbs->querySingle( "SELECT count(*) FROM `forum_p` WHERE us = ?", array(
                  $arr[ 'us' ] 
             ) ) . ')</div>';
         }
         echo '<div class="lst"><a href="/modules/reits.php" > Назад</a></div>';
         break;

     case 'themes':
         H( 'Топ активистов форума (по темам)', 'Топ активистов форума (по темам)' );
         $array = DB::$dbs->query( "SELECT DISTINCT `us`, COUNT(`us`) AS PostCount FROM `forum_t` GROUP BY `us` ORDER BY PostCount DESC LIMIT 10" );
         if ( $array->rowCount() == 0 ) {
             echo '<div class="lst">Пусто...</div>';
         }
         while ( $arr = $array->fetch() ) {
             echo '<div class="list1"> ' . uNick( $arr[ 'us' ] ) . ' (тем: ' . DB::$dbs->querySingle( "SELECT count(*) FROM `forum_t` WHERE us = ?", array(
                  $arr[ 'us' ] 
             ) ) . ')</div>';
         }
         echo '<div class="lst"><a href="/modules/reits.php" > Назад</a></div>';
         break;

     case 'arb':
         H( 'Топ активистов (по отзывам)', 'Топ активистов (по отзывам)' );
         $array = DB::$dbs->query( "SELECT DISTINCT `vip`, COUNT(`vip`) AS PostCount FROM `us` WHERE `vip` = '1' GROUP BY `user_id` ORDER BY PostCount DESC LIMIT 10" );
         if ( $array->rowCount() == 0 ) {
             echo '<div class="lst">Пусто...</div>';
         }
         while ( $arr = $array->fetch() ) {
             echo '<div class="list1"> ' . uNick( $arr[ 'vip' ] ) . ' (п.о.: ' . DB::$dbs->querySingle( "SELECT count(*) FROM `us` WHERE `vip` = '" . $arr[ 'vip' ] . "' AND `vip` = '0'" ) . ')</div>';
         }
         echo '<div class="lst">* п.о. - положительные отзывы</div>';
echo '<div class="lst"><a href="/modules/reits.php" > Назад</a></div>';
         break;

     case 'files':
         H( 'Топ активистов (по файлам)', 'Топ активистов (по файлам)' );
         $array = DB::$dbs->query( "SELECT DISTINCT `us`, COUNT(`us`) AS PostCount FROM `zc_f` GROUP BY `us` ORDER BY PostCount DESC LIMIT 10" );
         if ( $array->rowCount() == 0 ) {
             echo '<div class="lst">Пусто...</div>';
         }
         while ( $arr = $array->fetch() ) {
             echo '<div class="list1"> ' . uNick( $arr[ 'us' ] ) . ' (файлов: ' . DB::$dbs->querySingle( "SELECT count(*) FROM `zc_f` WHERE us = ?", array(
                  $arr[ 'us' ] 
             ) ) . ')</div>';
         }
         echo '<div class="lst"><a href="/modules/reits.php" > Назад</a></div>';
         break;

     case 'nars':
         H( 'Топ по нарушениям на сайте', 'Топ по нарушениям на сайте' );
         $array = DB::$dbs->query( "SELECT DISTINCT `us`, COUNT(`us`) AS PostCount FROM `nar` GROUP BY `us` ORDER BY PostCount DESC LIMIT 10" );
         if ( $array->rowCount() == 0 ) {
             echo '<div class="lst">Пусто...</div>';
         }
         while ( $arr = $array->fetch() ) {
             echo '<div class="list1"> ' . uNick( $arr[ 'us' ] ) . ' (нарушений: ' . DB::$dbs->querySingle( "SELECT count(*) FROM `nar` WHERE us = ?", array(
                  $arr[ 'us' ] 
             ) ) . ')</div>';
         }
         echo '<div class="lst"><a href="/modules/reits.php" > Назад</a></div>';
         break;

     case 'codes':
         H( 'Топ активистов (по кодам)', 'Топ активистов (по кодам)' );
         $array = DB::$dbs->query( "SELECT DISTINCT `us`, COUNT(`us`) AS PostCount FROM `code` GROUP BY `us` ORDER BY PostCount DESC LIMIT 10" );
         if ( $array->rowCount() == 0 ) {
             echo '<div class="lst">Пусто...</div>';
         }
         while ( $arr = $array->fetch() ) {
             echo '<div class="list1"> ' . uNick( $arr[ 'us' ] ) . ' (кодов: ' . DB::$dbs->querySingle( "SELECT count(*) FROM `code` WHERE `us` = '" . $arr[ 'us' ] . "'" ) . ')</div>';
         }
         echo '<div class="lst"><a href="/modules/reits.php" > Назад</a></div>';
         break;

 }
F ();
?>